Unified REST APIAgent access
Prepare Venue Setup (Model 2)
Generate a keypair for the venue. The user must then register the address/key in the venue's web UI before calling confirm. Available for: aster, paradex, grvt.
Authorization
ApiKeyAuth X-API-KEY<token>
In: header
Path Parameters
venue*enum<string>required
Available options:
asterparadexgrvtRequest Body
application/json
body*objectrequired
Response Body
application/json
curl -X POST "https://api.hypereth.io/v2/account/venues/aster/prepare" \ -H "Content-Type: application/json" \ -d '{}'{
"venue": "aster",
"wallet_address": "0x5555555555555555555555555555555555555555",
"status": "pending_user_action",
"instructions": "Go to https://www.asterdex.com/api-wallet and add 0x555... as API wallet"
}Empty
Empty
Empty
Programmatic Venue Setup (Model 1) POST
Fully automated venue setup using Privy agentic wallets. Available for: hyperliquid, hyena. Requires Privy to be configured on the server.
Confirm Venue Setup (Model 2) POST
Confirm venue setup after the user has completed the UI action. Request body varies by venue. Available for: aster, paradex, grvt.